<?php

declare (strict_types = 1);
use App\Controller\PublicController;
use App\Middleware\Auth\FooMiddleware;
use Hyperf\HttpServer\Router\Router;

Router::addRoute(['GET', 'POST'], '/verifyCode', 'App\Controller\IndexController@verifyCode');

Router::addGroup(
    '/public', function () {
        Router::get('/getDistrictList', [PublicController::class, 'getDistrictList']);
        Router::get('/getUserLevelList', [PublicController::class, 'getUserLevelList']);
        Router::post('/uploadFile', [PublicController::class, 'uploadFile']);
        Router::post('/addUserLevel', [PublicController::class, 'addUserLevel']);
        Router::post('/delUserLevel', [PublicController::class, 'delUserLevel']);
        Router::post('/updateUserLevel', [PublicController::class, 'updateUserLevel']);
        Router::get('/getCityList', [PublicController::class, 'getCityList']);
        Router::post('/addComplaint', [PublicController::class, 'addComplaint']);
        Router::post('/upComplaint', [PublicController::class, 'upComplaint']);
        Router::addRoute(['GET', 'POST'], '/getComplaint', [PublicController::class, 'getComplaint']);
        Router::addRoute(['GET', 'POST'], '/getLetterOfComplaintInfo', [PublicController::class, 'getLetterOfComplaintInfo']);
        Router::post('/delLetterOfComplaint', [PublicController::class, 'delLetterOfComplaint']);
        Router::get('/getLetterType', [PublicController::class, 'getLetterType']);
        Router::post('/downloadFile', [PublicController::class, 'downloadFile']);
        Router::post('/checkMeasure', [PublicController::class, 'checkMeasure']);
        //获取职能部门
        Router::get('/getDepartment', [PublicController::class, 'getDepartment']);

        Router::post('/getZhinengbumenList', [PublicController::class, 'getZhinengbumenList']);
        Router::post('/addZhinengbumen', [PublicController::class, 'addZhinengbumen']);
        Router::post('/delZhinengbumen', [PublicController::class, 'delZhinengbumen']);
        Router::post('/getZhinengbumen', [PublicController::class, 'getZhinengbumen']);
        Router::post('/modZhinengbumen', [PublicController::class, 'modZhinengbumen']);
        Router::post('/getPidZhinengbumen', [PublicController::class, 'getPidZhinengbumen']);

    },
    ['middleware' => [FooMiddleware::class]]
);
